#!/usr/bin/python
# -*- coding: utf-8 -*-

from pathlib import Path
from setuptools import setup, find_packages

VERSION = open("messaging/_version.py").readlines()[-1].strip("\"'")
README = Path("README.md").read_text()

# Setup comment
setup(
    name="ssa-" + Path().absolute().name,
    version=VERSION,
    description="Workspaces AMQP/Messaging utility area",
    long_description=README,
    author="NRAO SSA Team",
    author_email="dms-ssa@nrao.edu",
    url="TBD",
    license="GPL",
    install_requires=["kombu", "pycapo"],
    requires=["kombu", "pycapo"],
    keywords=[],
    packages=["messaging"],
    classifiers=["Programming Language :: Python :: 3.8"],
)
